Bug 21262 - Do not format numbers for editing if too big
Summary: Do not format numbers for editing if too big
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-23 14:45 UTC by Nick Clemens
Modified: 2018-09-24 10:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21262: Do not format numbers for editing if too big (2.56 KB, patch)
2018-08-23 14:49 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21262: Do not format numbers for editing if too big (2.62 KB, patch)
2018-09-16 16:38 UTC, Christopher Brannon
Details | Diff | Splinter Review
Bug 21262: Do not format numbers for editing if too big (2.96 KB, patch)
2018-09-16 17:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-08-23 14:45:33 UTC
Same fix as bug 15770 except for fields used for editing
Comment 1 Nick Clemens 2018-08-23 14:49:27 UTC
Created attachment 78098 [details] [review]
Bug 21262: Do not format numbers for editing if too big

This patch copies the code from bug 15770 to the format_for_editing
sub.

It also corrects schema issue, listing the purpose for two acq columns
instead of claing unused

To test:
1 - Edit a fund
2 - Set warning at amount to: 100000000000000
3 - Save budget
4 - Try to edit - internal server error
5 - Apply patch
6 - Should be able to edit budget
7 - Number should appear unformatted
Comment 2 Christopher Brannon 2018-09-16 16:38:55 UTC
Created attachment 78928 [details] [review]
Bug 21262: Do not format numbers for editing if too big

This patch copies the code from bug 15770 to the format_for_editing
sub.

It also corrects schema issue, listing the purpose for two acq columns
instead of claing unused

To test:
1 - Edit a fund
2 - Set warning at amount to: 100000000000000
3 - Save budget
4 - Try to edit - internal server error
5 - Apply patch
6 - Should be able to edit budget
7 - Number should appear unformatted

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Comment 3 Christopher Brannon 2018-09-16 16:39:32 UTC
Works!
Comment 4 Jonathan Druart 2018-09-16 17:04:21 UTC
Created attachment 78941 [details] [review]
Bug 21262: Do not format numbers for editing if too big

This patch copies the code from bug 15770 to the format_for_editing
sub.

It also corrects schema issue, listing the purpose for two acq columns
instead of claing unused

To test:
1 - Edit a fund
2 - Set warning at amount to: 100000000000000
3 - Save budget
4 - Try to edit - internal server error
5 - Apply patch
6 - Should be able to edit budget
7 - Number should appear unformatted

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
2 quick notes:
1. Code must be moved to a subroutine if reused later
2. It would have prefered to have the comment of the 2 DB columns on a separate patch
(even separate bug report). As it's minor and that the patch will certainly backported
I will not block it.
Comment 5 Nick Clemens 2018-09-16 18:20:41 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-09-17 14:33:41 UTC
Pushed to 18.05.x fro 18.05.04
Comment 7 Fridolin SOMERS 2018-09-24 10:17:28 UTC
Pushed to 17.11.x for 17.11.10